# Visualization
TKService
AlienImage

# AlienImage_AidaAlienData Class Reference

This class defines an Aida Alien image.
.

`#include <AlienImage_AidaAlienData.hxx>`

Inheritance diagram for AlienImage_AidaAlienData:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_AidaAlienData ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by AidaAlienData .
| ~AlienImage_AidaAlienData ()
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a AidaAlienData object from a file . Returns True if file is a Aida file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a AidaAlienData object to a file . .
Standard_EXPORT Handle_Image_Image | ToImage () const
| Converts a AidaAlienData object to a Image object. .
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| Converts a Image object to a AidaAlienData object. .
Standard_EXPORT void | SetColorImageDitheringMethod (const Image_DitheringMethod aMethod, const Handle(Aspect_ColorMap)&aColorMap)
| Set the ImageDitheringMethod and the ColorMap when FromImage is called with a ColorImage . Aida BYTEMAPS file handle only PseudoColorImage . Default value is DM_NearestColor, ColorCubeColorMap( 40, 5,1, 8,6, 3,54 ) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Image_DitheringMethod | myDitheringMethod
Handle_Aspect_ColorMap | myDitheringColorMap
Handle_Aspect_ColorMap | myColors
Standard_Boolean | myColorsIsDef
Standard_Boolean | myDataIsDef

## Private Member Functions

Standard_EXPORT void | AllocData (const Standard_Integer DX, const Standard_Integer DY)
| Allocate HArray2 to store Image data .
Standard_EXPORT Standard_Integer | Pixel (const Standard_Integer X, const Standard_Integer Y) const
Standard_EXPORT void | SetPixel (const Standard_Integer X, const Standard_Integer Y, const Standard_Integer Value)
Standard_EXPORT void | FromPseudoColorImage (const Handle(Image_PseudoColorImage)&anImage)
| convert a Image object to a AidaAlienData object.
Standard_EXPORT void | FromColorImage (const Handle(Image_ColorImage)&anImage)
| convert a Image object to a AidaAlienData object.

## Private Attributes

Handle_TColStd_HArray2OfInteger | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_AidaAlienData::AlienImage_AidaAlienData | ( |  | ) |

AlienImage_AidaAlienData::~AlienImage_AidaAlienData | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_AidaAlienData::AllocData | ( | const Standard_Integer | DX,
|  | const Standard_Integer | DY
| ) | `[private]`

Standard_EXPORT void AlienImage_AidaAlienData::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_AidaAlienData::FromColorImage | ( | const Handle(Image_ColorImage)& | anImage | ) | `[private]`

Standard_EXPORT void AlienImage_AidaAlienData::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT void AlienImage_AidaAlienData::FromPseudoColorImage | ( | const Handle(Image_PseudoColorImage)& | anImage | ) | `[private]`

Standard_EXPORT const AlienImage_AidaAlienData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Standard_Integer AlienImage_AidaAlienData::Pixel | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | const`[private]`

Standard_EXPORT Standard_Boolean AlienImage_AidaAlienData::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT void AlienImage_AidaAlienData::SetColorImageDitheringMethod | ( | const Image_DitheringMethod | aMethod,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) |

Standard_EXPORT void AlienImage_AidaAlienData::SetPixel | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Standard_Integer | Value
| ) | `[private]`

Standard_EXPORT Handle_Image_Image AlienImage_AidaAlienData::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Standard_Boolean AlienImage_AidaAlienData::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

## Field Documentation

Handle_Aspect_ColorMap AlienImage_AidaAlienData::myColors `[protected]`

Standard_Boolean AlienImage_AidaAlienData::myColorsIsDef `[protected]`

Handle_TColStd_HArray2OfInteger AlienImage_AidaAlienData::myData `[private]`

Standard_Boolean AlienImage_AidaAlienData::myDataIsDef `[protected]`

Handle_Aspect_ColorMap AlienImage_AidaAlienData::myDitheringColorMap `[protected]`

Image_DitheringMethod AlienImage_AidaAlienData::myDitheringMethod `[protected]`

The documentation for this class was generated from the following file:

- AlienImage_AidaAlienData.hxx